> ## Documentation Index
> Fetch the complete documentation index at: https://docs.revyops.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Company Across Clients

> Updates the details of a company by domain across all clients in the agency. Applies the same changes to every client that has a company with this domain.



## OpenAPI

````yaml PATCH /public/companies-master-list/global-update
openapi: 3.0.3
info:
  title: RevyOps API
  version: 1.0.0
servers:
  - url: https://app.revyops.com/api
security:
  - ApiKeyAuth: []
paths:
  /public/companies-master-list/global-update:
    patch:
      tags:
        - public
      description: >-
        Updates the details of a company by domain across all clients in the
        agency. Applies the same changes to every client that has a company with
        this domain.
      operationId: Global update company by domain
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedCompanyGlobalUpdate'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/PatchedCompanyGlobalUpdate'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/PatchedCompanyGlobalUpdate'
      responses:
        '200':
          description: OK. Companies updated.
        '400':
          description: Bad Request.
        '403':
          description: Forbidden.
      security:
        - {}
components:
  schemas:
    PatchedCompanyGlobalUpdate:
      type: object
      properties:
        domain:
          type: string
        name:
          type: string
        company_custom_fields:
          type: array
          items:
            $ref: '#/components/schemas/CompanyCustomFieldPatch'
    CompanyCustomFieldPatch:
      type: object
      properties:
        field_name:
          type: string
        field_value:
          type: string
          nullable: true
      required:
        - field_name
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````